#ifndef INTERF_CPLUS
#define INTERF_CPLUS

extern int ansiMode ;
extern int braceAlign ;
extern int singleSwitchIndent;
extern char * startComment,* middleComment,*endComment,*plusComment;
extern int indentFunctionType ;
extern int nbOpenComment;
extern int assignAlign;

#ifdef __cplusplus
RIEN DEBUT_CPLUSPLUS
#endif

PPTREE bri_parse_entry_cplus(int);

void AnalyseRange(char *);
void AnalyzeTab(PPTREE);
void AnalyzeMode(PPTREE);
void AnalyzeBraceAlign(PPTREE);
void AnalyzeMargin(PPTREE);
void AnalyzeComment(PPTREE);
void AnalyzeSimplify(PPTREE);
void AnalyzeSingleSwitchIndent(PPTREE);
void AnalyzeIndentFunctionType(PPTREE);
void AnalyzeAssignAlign(PPTREE);
int IsRange ( char *) ;

#ifdef __cplusplus
RIEN FIN_CPLUSPLUS
#endif

#endif
